Last Comment Bug 605340 - "ASSERTION: Can't find flow containing this frame???"
: "ASSERTION: Can't find flow containing this frame???"
Status: RESOLVED FIXED
: assertion, crash, regression, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla2.0b7
Assigned To: Mats Palmgren (:mats)
:
Mentors:
Depends on: 604843
Blocks: stirdom 326633 571995
  Show dependency treegraph
 
Reported: 2010-10-18 17:17 PDT by Jesse Ruderman
Modified: 2010-11-16 19:56 PST (History)
3 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13+
.13-fixed
.16+
.16-fixed


Attachments
testcase (219 bytes, text/html)
2010-10-18 17:17 PDT, Jesse Ruderman
no flags Details
stack trace (2.94 KB, text/plain)
2010-10-18 17:18 PDT, Jesse Ruderman
no flags Details
crashtest.diff (837 bytes, patch)
2010-10-19 05:27 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review
Patch rev. 1 (1.41 KB, patch)
2010-10-19 05:37 PDT, Mats Palmgren (:mats)
roc: review+
roc: approval2.0+
Details | Diff | Splinter Review

Description Jesse Ruderman 2010-10-18 17:17:02 PDT
Created attachment 484178 [details]
testcase

###!!! ASSERTION: Can't find flow containing this frame???: 'Error', file layout/generic/nsTextFrameThebes.cpp, line 2158
Comment 1 Jesse Ruderman 2010-10-18 17:18:48 PDT
Created attachment 484180 [details]
stack trace
Comment 2 Mats Palmgren (:mats) 2010-10-19 05:27:53 PDT
Created attachment 484276 [details] [diff] [review]
crashtest.diff
Comment 3 Mats Palmgren (:mats) 2010-10-19 05:37:57 PDT
Created attachment 484280 [details] [diff] [review]
Patch rev. 1

Silly mistake - 'mLastFlowIndex' became out-of-bounds.
As I understand it, 'mLastFlowIndex' is just an optimization used
as a hint when mapping content -> mapped flow, so any valid index
is correct.  The last index seems like a good choice.

With this patch the testcase still asserts but those will be fixed
in bug 604843.  This patch is independent of that bug though.

I'm adding "[run=0xNNNNNNNN]" to the text frame dump since I often
find it useful when debugging.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-10-19 14:28:11 PDT
Comment on attachment 484280 [details] [diff] [review]
Patch rev. 1

Test?
Comment 6 Daniel Veditz [:dveditz] 2010-11-10 10:43:30 PST
Marking this regression a branch blocker for qa verification because bug 571995 is a blocker.

Note You need to log in before you can comment on or make changes to this bug.